List wallet actions
curl --request GET \
--url https://api.privy.io/v1/wallets/{wallet_id}/actions \
--header 'Authorization: Basic <encoded-value>' \
--header 'privy-app-id: <privy-app-id>'HttpResponse<String> response = Unirest.get("https://api.privy.io/v1/wallets/{wallet_id}/actions")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.asString();const options = {
method: 'GET',
headers: {'privy-app-id': '<privy-app-id>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.privy.io/v1/wallets/{wallet_id}/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/wallets/{wallet_id}/actions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"privy-app-id: <privy-app-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.privy.io/v1/wallets/{wallet_id}/actions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "<string>",
"status": "pending",
"wallet_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"type": "swap",
"caip2": "<string>",
"input_token": "<string>",
"output_token": "<string>",
"input_amount": "<string>",
"output_amount": "<string>",
"reference_id": "<string>",
"failure_reason": {
"message": "<string>",
"details": "<unknown>"
},
"steps": [
{
"type": "evm_transaction",
"status": "preparing",
"caip2": "<string>",
"transaction_hash": "<string>",
"failure_reason": {
"message": "<string>",
"details": "<unknown>"
},
"finalized": true,
"gas_credits_charged": {
"value": "100.00",
"currency": "usd"
},
"gas_credits_charged_usd": "<string>"
}
],
"destination_caip2": "<string>",
"destination_address": "<string>",
"estimated_fees": [
{
"type": "privy",
"recipient": "0x1234567890abcdef1234567890abcdef12345678",
"amount": "0.20"
}
],
"estimated_gas": {
"base_amount": "100000000000000",
"amount": "0.0001",
"gas_asset": "ETH"
},
"fees": [
{
"type": "privy",
"recipient": "0x1234567890abcdef1234567890abcdef12345678",
"amount": "0.20"
}
],
"gas": {
"base_amount": "100000000000000",
"amount": "0.0001",
"gas_asset": "ETH"
}
}
],
"next_cursor": "<string>"
}Wallet actions
List all wallet actions
List all wallet actions for a wallet.
GET
/
v1
/
wallets
/
{wallet_id}
/
actions
List wallet actions
curl --request GET \
--url https://api.privy.io/v1/wallets/{wallet_id}/actions \
--header 'Authorization: Basic <encoded-value>' \
--header 'privy-app-id: <privy-app-id>'HttpResponse<String> response = Unirest.get("https://api.privy.io/v1/wallets/{wallet_id}/actions")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.asString();const options = {
method: 'GET',
headers: {'privy-app-id': '<privy-app-id>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.privy.io/v1/wallets/{wallet_id}/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/wallets/{wallet_id}/actions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"privy-app-id: <privy-app-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.privy.io/v1/wallets/{wallet_id}/actions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "<string>",
"status": "pending",
"wallet_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"type": "swap",
"caip2": "<string>",
"input_token": "<string>",
"output_token": "<string>",
"input_amount": "<string>",
"output_amount": "<string>",
"reference_id": "<string>",
"failure_reason": {
"message": "<string>",
"details": "<unknown>"
},
"steps": [
{
"type": "evm_transaction",
"status": "preparing",
"caip2": "<string>",
"transaction_hash": "<string>",
"failure_reason": {
"message": "<string>",
"details": "<unknown>"
},
"finalized": true,
"gas_credits_charged": {
"value": "100.00",
"currency": "usd"
},
"gas_credits_charged_usd": "<string>"
}
],
"destination_caip2": "<string>",
"destination_address": "<string>",
"estimated_fees": [
{
"type": "privy",
"recipient": "0x1234567890abcdef1234567890abcdef12345678",
"amount": "0.20"
}
],
"estimated_gas": {
"base_amount": "100000000000000",
"amount": "0.0001",
"gas_asset": "ETH"
},
"fees": [
{
"type": "privy",
"recipient": "0x1234567890abcdef1234567890abcdef12345678",
"amount": "0.20"
}
],
"gas": {
"base_amount": "100000000000000",
"amount": "0.0001",
"gas_asset": "ETH"
}
}
],
"next_cursor": "<string>"
}Authorizations
Headers
Query Parameters
Response
200 - application/json
Paginated list of wallet actions.
Paginated list of wallet actions.
data
(SwapActionResponse · object | TransferActionResponse · object | EarnDepositActionResponse · object | EarnWithdrawActionResponse · object | EarnIncentiveClaimActionResponse · object | EarnFeeCollectActionResponse · object | PayoutResponse · object | TmmfDepositActionResponse · object | TmmfWithdrawActionResponse · object)[]
required
Response for a swap action.
- SwapActionResponse
- TransferActionResponse
- EarnDepositActionResponse
- EarnWithdrawActionResponse
- EarnIncentiveClaimActionResponse
- EarnFeeCollectActionResponse
- PayoutResponse
- TmmfDepositActionResponse
- TmmfWithdrawActionResponse
Show child attributes
Show child attributes
Was this page helpful?

